Create a inference deployment
POST
/v1/inference-deploymentscurl -X POST 'https://api.embodiflow.io/v1/inference-deployments' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"modelVersionId": "00000000-0000-0000-0000-000000000000",
"inferenceImageRevisionId": "00000000-0000-0000-0000-000000000000",
"gpuClassCode": "string",
"gpuCount": 0,
"mode": "online",
"embodimentProfileId": "00000000-0000-0000-0000-000000000000"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- modelVersionIdstring (uuid)必填
- inferenceImageRevisionIdstring (uuid)必填
- gpuClassCodestring | null
- gpuCountnumber
- modestring可选值onlineoffline-package
- embodimentProfileIdstring (uuid) | null
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- modelVersionIdstring必填
- inferenceImageRevisionIdstring必填
- gpuClassCodestring | null必填
- gpuCountnumber必填
- modestring必填可选值onlineoffline-package
- statusstring必填可选值pendingrunningfaileddeployingstoppingstopped
- replicasnumber必填
- lastErrorMessagestring | null必填
- startedAtstring | null必填
- stoppedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"modelVersionId": "string",
"inferenceImageRevisionId": "string",
"gpuClassCode": "string",
"gpuCount": 0,
"mode": "online",
"status": "pending",
"replicas": 0,
"lastErrorMessage": "string",
"startedAt": "string",
"stoppedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1